package cn.datax.learning.design.patterns.creational.factory.abstractFactory;

import cn.datax.learning.design.patterns.creational.factory.Color;
import cn.datax.learning.design.patterns.creational.factory.Shape;

public abstract class AbstractFactory {

    public abstract Color getColor(String color);

    public abstract Shape getShape(String shape);
}
